Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Basic auth required for external APIs. Example: "Authorization: Basic {base64EncodedPasswordString}"

Query Parameters

From
string<date-time>
required
To
string<date-time>
required
Filter
enum<string>
default:Withdrawn
Available options:
Withdrawn,
Deposited,
Completed,
Updated

Response

Success

id
string | null

Swap unique identifier.

timestamp
string<date-time>
deprecated

Date and time when a swap was detected by XFlow.

depositedAt
string<date-time>

Date and time when a swap's deposit transaction was made on the inbound chain.

withdrawnAt
string<date-time>

Date and time when a swap's withdrawal transaction was made on the outbound chain.

detectedAt
string<date-time>

Date and time when a swap was detected by XFlow.

completedAt
string<date-time>

Date and time when a swap was completed by XFlow and became available in the external API.

updatedAt
string<date-time>

Date and time when a swap was updated by XFlow.

bridge
string | null

Name of the bridge that processed the swap.

bridgeKey
string | null

Key of the bridge that processed the swap.

sourceChain
string | null

Chain on which the inbound transaction was submitted.

destinationChain
string | null

Chain on which the outbound transaction was submitted.

sourceAccount
string | null

Account that submitted the inbound transaction.

destinationAccount
string | null

Account that received the outbound transaction.

sourceInteractedWith
string | null

InteractedWith address in the inbound transaction (only for EVM chains).

protocolKey
string | null

Key of the protocol that processed the swap.

sourceProtocolAddress
string | null

Address of the protocol that emitted the swap in the inbound transaction.

destinationProtocolAddress
string | null

Address of the protocol that finished the swap in the outbound transaction.

intermediateSwapId
string | null
deprecated
sourceOtherProtocolAddresses
string[] | null

Other protocol addresses that emitted events tracked by XFlow to identify the swap in the inbound transaction.

destinationOtherProtocolAddresses
string[] | null

Other protocol addresses that emitted events tracked by XFlow to identify the swap in the outbound transaction.

sourceTransaction
string | null

Inbound transaction hash.

destinationTransaction
string | null

Outbound transaction hash.

sourceToken
string | null

Inbound token on the source chain.

destinationToken
string | null

Outbound token on the destination chain.

sourceTokenContract
string | null

Inbound token contract address.

destinationTokenContract
string | null

Outbound token contract address.

depositAmount
number<double> | null

Deposited amount in source tokens.

withdrawnAmount
number<double> | null

Withdrawn amount in destination tokens.

depositUsdAmount
number<double> | null

Deposited amount in USD equivalent.

withdrawnUsdAmount
number<double> | null

Withdrawn amount in USD equivalent.

usdMismatchStatus
enum<string>

Indicates whether deposited and withdrawn USD amounts are within an acceptable range: Unprocessed (amounts not processed yet); NotFound (USD rates were unavailable); MismatchDetected (difference between deposited and withdrawn USD is unusually high); OK (difference is within the acceptable range).

Available options:
Unprocessed,
NotFound,
MismatchDetected,
OK
tags
object[] | null

Optional field returning extra information for certain swaps. Currently defined tags: thor-affiliate for swaps through Thorswap; nft to indicate whether the transaction is an NFT deposit or withdrawal (nft: deposit or nft: withdrawal); injective-nonce for swaps through the Injective bridge to the Injective chain.